// SPACK About.cs
// Written by David J. Stein, Esq. See "License.html" for terms and conditions of use.
//
// This module contains the code for an About box. Pretty simple.

#region Using declarations

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Reflection;

#endregion

namespace SPACK_NS {

	public partial class SPACK_About : Form {

		#region Initialization code

		public SPACK_About() {
			InitializeComponent();
		}

		#endregion

		#region Event handlers

		private void SPACK_About_Load(object sender, EventArgs e) {
			Assembly assembly = System.Reflection.Assembly.GetExecutingAssembly();
			lblVersion.Text = "SPACK v" + assembly.GetName().Version.Major + "." + assembly.GetName().Version.Minor;
		}

		private void SPACK_About_KeyDown(object sender, KeyEventArgs e) {
			if (e.KeyCode == Keys.Escape)
				Close();
		}

		private void btnOK_Click(object sender, EventArgs e) {
			Close();
		}

		#endregion

	}

}
