// SPACK Report.cs
// Written by David J. Stein, Esq. See "License.html" for terms and conditions of use.
//
// This module contains the code for a simple class for displaying the authoring report.
// It's really just a textbox with an OK button.

#region Using declarations

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

#endregion

namespace SPACK_NS {

	public partial class SPACK_Report : Form {

		#region Variables and initialization code

		internal bool bAbort = false;
		private SPACK spack = null;
		long lLastReportLength = 0;

		public SPACK_Report(SPACK spack) {
			InitializeComponent();
			this.spack = spack;
		}

		#endregion

		#region Event handlers

		private void SPACK_Report_Load(object sender, EventArgs e) {
			MinimumSize = MaximumSize = new Size(0, 0);
			Location = new Point(spack.Location.X + spack.Width / 2 - this.Width / 2, spack.Location.Y + spack.Height / 2 - this.Height / 2);
		}

		private void timerUpdate_Tick(object sender, EventArgs e) {
			if (spack != null) {
				if (spack.strStatus.Length > lLastReportLength) {
					txtReport.Text = spack.strStatus;
					txtReport.SelectionStart = txtReport.Text.Length;
					txtReport.SelectionLength = 0;
					txtReport.ScrollToCaret();
					lLastReportLength = txtReport.Text.Length;
				}
				if (spack.bCreatingAlbum == false) {
					btnOK.Text = "OK";
					timerUpdate.Stop();
				}
			}
		}

		private void SPACK_Report_KeyDown(object sender, KeyEventArgs e) {
			if (e.KeyCode == Keys.Escape)
				btnOK.PerformClick();
		}

		private void btnOK_Click(object sender, EventArgs e) {
			if ((spack != null) && (spack.bCreatingAlbum == true))
				bAbort = true;
			else
				Close();
		}

		#endregion

	}

}
